#ifndef SCATTERPLOT_H
#define SCATTERPLOT_H


#include "common.h"

//extern int tab_no;



//-----------------------------------------------------------------//
//  散布図クラス(mic,srcのPLOT時に使用する)
//-----------------------------------------------------------------//
class ScatterPlot
{

public:
    std::vector<std::vector<double> > *lists;
    std::string  title;
    int          plot_style; // PlotStyle
    std::string  x_label, y_label, z_label;

public:

    //コンストラクタ
    ScatterPlot(std::vector<std::vector<double> > *lists)
    {
        // std::vector[][3]; ２次元目の深さは３であることを確認
        for (uint i=0; i < lists->size(); i++)
        {
            if ((*lists)[i].size() != 3)
            {
//                    THROW_CRITICAL("Plot coordinate size is not 3.");
            }
        }

        this->lists = lists;
        x_label = "X";
        y_label = "Y";
        z_label = "Z";
    }

    ~ScatterPlot() {}

    void         setStyle(int plot_style);
    void         setTitle(std::string title);
    void         setLabels(std::string x, std::string y, std::string z) ;
    std::string  plot(std::string fullpath) ;
    std::string  createFile(std::string fullpath) ;
    void         THROW_CRITICAL(QString msg);
};










#endif // SCATTERPLOT_H
